Home

# Class goog.tweak.BaseEntry

Base class for all Registry entries.

Instance Method Summary
| `addCallback(!Function callback)` Adds a callback that should be called when the setting has changed (or when an action has been clicked).
| `fireCallbacks()` Calls all registered callbacks.
| `getId() ⇒ string`
| `isRestartRequired() ⇒ boolean` Returns whether a restart is required for changes to the setting to take effect.
| `removeCallback(!Function callback)` Removes a callback that was added by addCallback.
| `setRestartRequired(boolean value)` Sets whether a restart is required for changes to the setting to take effect.